Bug 29586 - "Hold reminder" notice doesn't show in messaging preferences in new installation
Summary: "Hold reminder" notice doesn't show in messaging preferences in new installation
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Nick Clemens
QA Contact: Tomás Cohen Arazi
URL:
Keywords: rel_21_11_candidate
Depends on: 28153
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-28 16:58 UTC by Katrin Fischer
Modified: 2022-06-06 20:31 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This fixes an issue with the installer files that meant "Hold reminder" notices were not shown in messaging preferences for new installations.
Version(s) released in:
22.05.00,21.11.01


Attachments
Bug 29586: Fix typos in installer files (1.91 KB, patch)
2021-11-29 12:45 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 29586: Fix typos in installer files (1.99 KB, patch)
2021-12-01 09:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29586: Add atomic update for existing intallations (1.67 KB, patch)
2021-12-01 09:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29586: Fix typos in installer files (2.03 KB, patch)
2021-12-01 11:28 UTC, David Nind
Details | Diff | Splinter Review
Bug 29586: Add atomic update for existing intallations (1.72 KB, patch)
2021-12-01 11:28 UTC, David Nind
Details | Diff | Splinter Review
Bug 29586: Fix typos in installer files (2.09 KB, patch)
2021-12-13 11:28 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29586: Add atomic update for existing intallations (1.77 KB, patch)
2021-12-13 11:28 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-11-28 16:58:14 UTC
I am not sure why, but after a reset_all with current master (past 21.11 release), the 'Hold reminder' notice doesn't show in the messaging preferences table and is not in the message_attributes table.
Comment 1 Nick Clemens 2021-11-29 12:45:23 UTC
Created attachment 128069 [details] [review]
Bug 29586: Fix typos in installer files

When HOLD_REMINDER info was added I neglected to move the semicolons, this meant
the statements were ending before the data was added
Comment 2 Katrin Fischer 2021-11-29 13:48:49 UTC
Hi Nick, could you provide a database update as well? As we already released we might have .0 databases that need it.
Comment 3 Jonathan Druart 2021-11-30 10:00:49 UTC
How is that possible?!
Comment 4 Jonathan Druart 2021-11-30 10:14:30 UTC
No idea why DBIx::RunSQL is not failing... Not sure how to prevent that from happening again.
Comment 5 Katrin Fischer 2021-11-30 10:27:57 UTC
(In reply to Jonathan Druart from comment #4)
> No idea why DBIx::RunSQL is not failing... Not sure how to prevent that from
> happening again.

I fully understand your grumpiness, let's fix that and then go to the source of the issue.
Comment 6 Jonathan Druart 2021-12-01 09:25:43 UTC
Created attachment 128119 [details] [review]
Bug 29586: Fix typos in installer files

When HOLD_REMINDER info was added I neglected to move the semicolons, this meant
the statements were ending before the data was added

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2021-12-01 09:25:47 UTC
Created attachment 128120 [details] [review]
Bug 29586: Add atomic update for existing intallations

In case an installation was created on 21.11.00

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 David Nind 2021-12-01 11:28:34 UTC
Created attachment 128123 [details] [review]
Bug 29586: Fix typos in installer files

When HOLD_REMINDER info was added I neglected to move the semicolons, this meant
the statements were ending before the data was added

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: David Nind <david@davidnind.com>
Comment 9 David Nind 2021-12-01 11:28:40 UTC
Created attachment 128124 [details] [review]
Bug 29586: Add atomic update for existing intallations

In case an installation was created on 21.11.00

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: David Nind <david@davidnind.com>
Comment 10 Tomás Cohen Arazi 2021-12-13 11:28:18 UTC
Created attachment 128447 [details] [review]
Bug 29586: Fix typos in installer files

When HOLD_REMINDER info was added I neglected to move the semicolons, this meant
the statements were ending before the data was added

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 11 Tomás Cohen Arazi 2021-12-13 11:28:23 UTC
Created attachment 128448 [details] [review]
Bug 29586: Add atomic update for existing intallations

In case an installation was created on 21.11.00

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 12 Tomás Cohen Arazi 2021-12-13 11:29:47 UTC
Good catch! Trivial fix, working as expected and QA scripts happy. We need a script to catch those in the QA tools.
Comment 13 Fridolin Somers 2021-12-14 02:03:51 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 14 Andrew Fuerste-Henry 2021-12-17 20:18:27 UTC
Missing dependencies, not backported to 21.05
Comment 15 Katrin Fischer 2021-12-19 14:11:46 UTC
(In reply to Andrew Fuerste-Henry from comment #14)
> Missing dependencies, not backported to 21.05

I think this needs to be pushed to 21.11 urgently, but seems to have been pushed and then reverted?

https://git.koha-community.org/Koha-community/Koha/commits/branch/21.11.x

Kyle, can you clarify? 

Andrew, you should check for your version only after Kyle has pushed.
Comment 16 Kyle M Hall 2021-12-22 13:15:30 UTC
Pushed to 21.11.x for 21.11.01